Debian Bug report logs - #344002
dialog segfaults with empty or non-existing --default-item

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Micha Feigin <michf@post.tau.ac.il>

Date: Mon, 19 Dec 2005 11:48:08 UTC

Severity: serious

Merged with 343444

Found in version dialog/1.0-20051207-1

Fixed in versions 1.0-20051219-1, dialog/1.0-20051219-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#344002; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Micha Feigin <michf@post.tau.ac.il>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micha Feigin <michf@post.tau.ac.il>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog segfaults with empty or non-existing --default-item
Date: Mon, 19 Dec 2005 13:36:46 +0200
Package: dialog
Version: 1.0-20051207-1
Severity: normal

when dialog is called with the option --default-item with an empty or
non-existing default item it segfaults, ie something of the sort
dialog --default-item "" ...
This makes netenv unusable.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14.3
Locale: LANG=he_IL, LC_CTYPE=he_IL (charmap=ISO-8859-8)

Versions of packages dialog depends on:
ii  debianutils                   2.15.2     Miscellaneous utilities specific t
ii  libc6                         2.3.5-9    GNU C Library: Shared libraries an
ii  libncursesw5                  5.5-1      Shared libraries for terminal hand

dialog recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#344002; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 344002@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Micha Feigin <michf@post.tau.ac.il>, 344002@bugs.debian.org
Subject: Re: Bug#344002: dialog segfaults with empty or non-existing --default-item
Date: Tue, 20 Dec 2005 09:27:09 -0500
[Message part 1 (text/plain, inline)]
On Mon, Dec 19, 2005 at 12:50:46PM +0100, Micha Feigin wrote:
> Package: dialog
> Version: 1.0-20051207-1
> Severity: normal
> 
> when dialog is called with the option --default-item with an empty or
> non-existing default item it segfaults, ie something of the sort
> dialog --default-item "" ...
> This makes netenv unusable.

I made a fix last night (when cloning dlg_default_item, I broke the copied
code...)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Micha Feigin <michf@post.tau.ac.il>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 344002-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 344002-close@bugs.debian.org
Subject: Bug#344002: fixed in dialog 1.0-20051219-1
Date: Tue, 20 Dec 2005 10:17:13 -0800
Source: dialog
Source-Version: 1.0-20051219-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20051219-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20051219-1.diff.gz
dialog_1.0-20051219-1.dsc
  to pool/main/d/dialog/dialog_1.0-20051219-1.dsc
dialog_1.0-20051219-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20051219-1_powerpc.deb
dialog_1.0-20051219.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20051219.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 344002@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 20 Dec 2005 18:59:36 +0100
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20051219-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 343303 344002
Changes: 
 dialog (1.0-20051219-1) unstable; urgency=low
 .
   * New upstream release.
   * Added sv.po (Closes: #343303). Please join the Free Translation Project.
   * Fixed segfault problem in the previous release (Closes: #344002).
Files: 
 a66eeae16fc7bb4f9c7c7d5349b24a89 593 misc optional dialog_1.0-20051219-1.dsc
 3e36c64b40e39dec4cee775c6ef228f8 328167 misc optional dialog_1.0-20051219.orig.tar.gz
 701287eb9c532b0081327c518ee97ba9 8424 misc optional dialog_1.0-20051219-1.diff.gz
 1a7a6c7bc4c540ed57477ee5ad31044c 224430 misc optional dialog_1.0-20051219-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDqEbUd9Uuvj7yPNYRAosOAKDTDOZmrcAumVl9ivfdnP7U5PITUACgx3oJ
s1Nk3v7KS33hG6jYWD3gIg0=
=LQF2
-----END PGP SIGNATURE-----




Severity set to `serious'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 343444 344002. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:56:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:41:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.